Edje Class: Text

Functions
Edje Class: Text
Edje » Edje Object

Functions that deal with Text Classes. More...

## Functions
Eina_Bool | edje_text_class_set (const char *text_class, const char *font, Evas_Font_Size size)
| Set the Edje text class. More...
Eina_Bool | edje_text_class_get (const char *text_class, const char **font, Evas_Font_Size *size)
| Get the font and the font size from Edje text class. More...
void | edje_text_class_del (const char *text_class)
| Delete the text class. More...
Eina_List * | edje_text_class_list (void)
| List text classes. More...
Eina_Iterator * | edje_text_class_active_iterator_new (void)
| Iterate over all active classes of an application. More...
Eina_Iterator * | edje_mmap_text_class_iterator_new (Eina_File *f)
| Iterate over all text classes provided by an Edje file. More...

## Detailed Description

Functions that deal with Text Classes.

Sometimes we want to change the text of two or more parts equally and that's when we use text classes.

If one or more parts are assigned with a text class, when we set font attributes to this class will update all these parts with the new font attributes. Setting values to a text class at a process level will affect all parts with that text class, while at object level will affect only the parts inside an specified object.

## Function Documentation

## ◆ edje_text_class_set()

Eina_Bool edje_text_class_set | ( | const char * | text_class,
|  | const char * | font,
|  | Evas_Font_Size | size
| ) |  |

Set the Edje text class.

Parameters

  text_class | The text class name
  font | The font name
  size | The font size

Returns
  `EINA_TRUE`, on success or `EINA_FALSE`, on error

This function updates all Edje members at the process level which belong to this text class with the new font attributes. If the `size` is 0 then the font size will be kept with the previous size. If the `size` is less then 0 then the font size will be calculated in the percentage. For example, if the `size` is -50, then the font size will be scaled to half of the original size and if the `size` is -10 then the font size will be scaled as much as 0.1x.

See also
  edje_text_class_get().

References EINA_FALSE, eina_hash_add(), eina_hash_find(), eina_hash_string_superfast_new(), eina_stringshare_add(), and EINA_TRUE.

## ◆ edje_text_class_get()

Eina_Bool edje_text_class_get | ( | const char * | text_class,
|  | const char ** | font,
|  | Evas_Font_Size * | size
| ) |  |

Get the font and the font size from Edje text class.

Parameters

  text_class | The text class name
  font | The font name
  size | The font size

Returns
  `EINA_TRUE`, on success or `EINA_FALSE`, on error

This function gets the font and the font name from the specified Edje text class. The font string will only be valid until the text class is changed or edje is shut down.

See also
  edje_text_class_set().

Since
  1.14

References EINA_FALSE, eina_hash_find(), and EINA_TRUE.

## ◆ edje_text_class_del()

void edje_text_class_del | ( | const char * | text_class | ) |

Delete the text class.

Parameters

  text_class | The text class name string

This function deletes any values at the process level for the specified text class.

References eina_hash_del(), eina_hash_find(), eina_hash_iterator_data_new(), EINA_ITERATOR_FOREACH, eina_iterator_free(), eina_stringshare_del(), and EINA_TRUE.

## ◆ edje_text_class_list()

Eina_List* edje_text_class_list | ( | void |  | ) |

List text classes.

Returns
  A list of text class names (strings). These strings are stringshares and the list must be free()'d by the caller.

This function lists all text classes known about by the current process.

References EINA_FALSE, eina_hash_foreach(), eina_hash_iterator_data_new(), eina_iterator_free(), eina_iterator_next(), EINA_MAGIC_SET, and EINA_TRUE.

## ◆ edje_text_class_active_iterator_new()

Eina_Iterator* edje_text_class_active_iterator_new | ( | void |  | ) |

Iterate over all active classes of an application.

Returns
  an iterator of Edje_Text_Class of the currently active text class

This function only iterates over the Edje_Text_Class in use by an application.

Since
  1.17

References EINA_FALSE, eina_hash_find(), eina_hash_iterator_tuple_new(), eina_list_append(), EINA_MAGIC_SET, eina_stringshare_add(), and EINA_TRUE.

## ◆ edje_mmap_text_class_iterator_new()

Eina_Iterator* edje_mmap_text_class_iterator_new | ( | Eina_File * | f | ) |

Iterate over all text classes provided by an Edje file.

Returns
  an iterator of Edje_Text_Class provided by the Edje file.

Since
  1.17

References eina_hash_iterator_tuple_new(), and EINA_MAGIC_SET.